<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
		   elementFormDefault="qualified">

	<xs:complexType name="Tplayer">
		<xs:sequence>
			<xs:element name="name" type="xs:string"/>
			<xs:element name="color" type="Tcolor" minOccurs="0"/>
			<xs:element name="type" type="TplayerType"/>
		</xs:sequence>
		<xs:attribute name="id" type="TplayerId" use="required"/>
	</xs:complexType>

	<xs:simpleType name="TplayerId">
		<xs:restriction base="xs:byte">
			<xs:minInclusive value="-1"/>
			<xs:maxInclusive value="2"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="TplayerType">
		<xs:restriction base="xs:string">
            <xs:pattern value="[HRA]"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:complexType name="Tcolor">
		<xs:sequence>
			<xs:element name="r" type="xs:unsignedByte"/>
			<xs:element name="g" type="xs:unsignedByte"/>
			<xs:element name="b" type="xs:unsignedByte"/>
			<xs:element name="a" type="xs:unsignedByte"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="Tpoint">
		<xs:sequence>
			<xs:element name="x" type="xs:short"/>
			<xs:element name="y" type="xs:short"/>
			<xs:element name="z" type="xs:short"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="Tmove">
		<xs:sequence>
			<xs:element name="player" type="TplayerId"/>
			<xs:element name="point" type="Tpoint"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="Thistory">
		<xs:sequence>
			<xs:element name="move" type="Tmove" minOccurs="0" maxOccurs="unbounded"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="Tempty"/>

</xs:schema>